### Method

# Rsvg Handle set_base_gfile

#### Declaration [src]

    void
    rsvg_handle_set_base_gfile (
      RsvgHandle* handle,
      GFile* base_file
    )

#### Description [src]

Set the base URI for `handle` from `file`.

Note: This function may only be called before `rsvg_handle_write()` or `rsvg_handle_read_stream_sync()` have been called.

Available since: | 2.32

#### Parameters

`base_file` | `GFile`
| A `GFile`
| The data is owned by the caller of the function.